| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iStreamDataCallback Struct Reference
[Loading & Saving support]

This callback will be fired when the data is ready. More...

`#include <imap/streamsource.h>`

Inheritance diagram for iStreamDataCallback:

[legend]
List of all members.

## Public Member Functions
virtual void | DataReady (iDataBuffer *data)=0
| The buffer is ready.

## Detailed Description

This callback will be fired when the data is ready.

Definition at line 34 of file streamsource.h.

## Member Function Documentation

virtual void iStreamDataCallback::DataReady | ( | iDataBuffer * | data | ) | `[pure virtual]`

The buffer is ready.

The buffer will be endian correct for this system.

The documentation for this struct was generated from the following file:

- imap/streamsource.h